﻿/*------------------------------------------------------------------------------------
Description: Personal website
Author: H. Fatih Erim
Author Uri: http://fatiherim.com
-------------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------
/*  Layout Setup
/*-----------------------------------------------------------------------------------*/

html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Open Sans',sans-serif !important;
    font-size: 14px;
    font-weight: 300;
    color: #555;
}

    body > section {
        position: relative;
        overflow: hidden;
    }

h1,
h2,
h3 {
    font-family: 'Montserrat',sans-serif;
    font-weight: 700;
    color: #333;
}

h4,
h5,
h6 {
    font-family: 'Montserrat',sans-serif;
    font-weight: 400;
    color: #333;
}

blockquote {
    border-left: 5px solid #00aeda;
    font-size: 15px;
    font-style: italic;
}

.container-section {
    padding: 90px 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
span,
label {
    text-shadow: 0 0 .1px rgba(0,0,0,0.04);
    cursor: default;
    -webkit-text-shadow: 0 0 .1px rgba(0,0,0,0.04);
}

figure {
    margin: 0;
    padding: 0;
}

    figure img {
        width: 100%;
        height: auto;
    }

iframe {
    border: none;
}

::selection {
    color: #fff;
    background: #00aeda; /* Safari */
}

::-moz-selection {
    color: #fff;
    background: #00aeda; /* Firefox */
}

.form-control:focus {
    box-shadow: none;
}

@media(max-width:768px) {
    .row {
        margin-right: 15px;
        margin-left: 15px;
    }
}

/* Remove Dotted Lines */

a,
a:focus,
a:active,
a:hover,
object,
embed {
    text-decoration: none;
    outline: none;
}

:-moz-any-link:focus {
    outline: none;
}

input::-moz-focus-inner {
    border: 0;
}

:focus {
    outline: 0;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {
    outline: 0 none !important;
}

/*-----------------------------------------------------------------------------------*/
/*General Classes
/*-----------------------------------------------------------------------------------*/

/*Vertical Space*/

.vs-10 {
    display: block;
    width: 100%;
    height: 10px;
}

.vs-15 {
    display: block;
    width: 100%;
    height: 15px;
}

.vs-20 {
    display: block;
    width: 100%;
    height: 20px;
}

.vs-25 {
    display: block;
    width: 100%;
    height: 25px;
}

.vs-30 {
    display: block;
    width: 100%;
    height: 30px;
}

.vs-35 {
    display: block;
    width: 100%;
    height: 35px;
}

.vs-40 {
    display: block;
    width: 100%;
    height: 40px;
}

.vs-45 {
    display: block;
    width: 100%;
    height: 45px;
}

.vs-50 {
    display: block;
    width: 100%;
    height: 50px;
}

.vs-55 {
    display: block;
    width: 100%;
    height: 55px;
}

.vs-60 {
    display: block;
    width: 100%;
    height: 60px;
}

.vs-65 {
    display: block;
    width: 100%;
    height: 65px;
}

.vs-70 {
    display: block;
    width: 100%;
    height: 70px;
}

.vs-75 {
    display: block;
    width: 100%;
    height: 75px;
}

.vs-80 {
    display: block;
    width: 100%;
    height: 80px;
}

.vs-85 {
    display: block;
    width: 100%;
    height: 85px;
}

.vs-90 {
    display: block;
    width: 100%;
    height: 90px;
}

.vs-95 {
    display: block;
    width: 100%;
    height: 95px;
}

.vs-100 {
    display: block;
    width: 100%;
    height: 100px;
}

.vs-105 {
    display: block;
    width: 100%;
    height: 105px;
}

.vs-120 {
    display: block;
    width: 100%;
    height: 120px;
}

.vs-125 {
    display: block;
    width: 100%;
    height: 125px;
}

.vs-150 {
    display: block;
    width: 100%;
    height: 150px;
}

.vs-155 {
    display: block;
    width: 100%;
    height: 155px;
}

/*Padding*/

.pt-0 {
    padding-top: 0 !important;
}

.pb-0 {
    padding-bottom: 0 !important;
}

/*Vertical alignment middle*/

.tbl {
    display: table;
    position: relative;
    width: 100%;
    height: 100%;
}

.tbl-cell {
    display: table-cell;
    text-align: center;
    vertical-align: middle;
}

/*Other Classes*/

.bg-alternative {
    background-color: #f8f8f8;
}

.section-text {
    font-size: 15px;
    line-height: 1.8em;
    color: #999;
}

.color-text {
    color: #00aeda;
}

/* Preloader */

#preloader {
    z-index: 99999;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: #fff;
}

#status {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 200px;
    height: 200px;
    margin: -100px 0 0 -100px;
    background-image: url(../img/status.gif);
    background-position: center;
    background-repeat: no-repeat;
}

/*Text Input addons*/

.left-inner-addon {
    position: relative;
}

    .left-inner-addon input,
    .left-inner-addon textarea {
        padding-left: 30px;
    }

    .left-inner-addon i {
        position: absolute;
        padding: 10px 12px;
        pointer-events: none;
    }

.right-inner-addon {
    position: relative;
}

    .right-inner-addon input,
    .right-inner-addon textarea {
        padding-right: 30px;
    }

    .right-inner-addon i {
        position: absolute;
        right: 0;
        padding: 10px 12px;
        pointer-events: none;
    }

/*-----------------------------------------------------------------------------------*/
/* Header
/*-----------------------------------------------------------------------------------*/

header {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    text-align: center;
    background: url('../img/bg-1.jpg') fixed;
    background-position: center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    -o-background-size: cover;
}

.fill {
    width: 100%;
    height: 100%;
    padding: 0;
    background-position: center;
    background-size: cover;
}

.pattern-overlay-1 {
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.75);
    background-image: url(../img/overlays/08.png);
    background-repeat: repeat;
}

header #intro-text .title {
    color: #ffffff;
}

.title.big {
    font-family: 'Raleway',sans-serif;
    font-size: 64px;
    font-weight: 600;
    line-height: 128px;
    color: #0094ff;
}

.title.middle {
    font-family: 'Raleway',sans-serif;
    font-size: 36px;
    font-weight: 300;
    line-height: 72px;
}

.section-title {
    padding: 45px 0;
    text-align: center;
    font-size: 36px;
    font-weight: bold;
    line-height: 48px;
    color: #fff;
}

    .section-title.white-bg {
        color: #000;
    }

    .section-title:hover {
        text-shadow: 0 0 1px #fff;
    }

    .section-title.white-bg:hover {
        text-shadow: 0 0 1px #000;
    }

@media only screen and (max-width:768px) {
    .title.big {
        font-size: 48px;
        line-height: 96px;
    }

    .title.middle {
        font-size: 24px;
        line-height: 36px;
    }

    .section-title {
        padding: 15px 0;
    }
}

/*Navbar*/

.navbar {
    border: none !important;
    border-radius: 0;
    background-color: #fff !important;
    box-shadow: 0 0 15px #000;
}

    .navbar a,
    .navbar .active {
        font-family: 'raleway',sans-serif;
        font-size: 15px;
        font-weight: 200;
        line-height: 36px;
        color: #777 !important;
        opacity: 1;
        background-color: transparent !important;
    }

    .navbar a {
        padding: 15px;
    }

        .navbar a:hover {
            color: #00aeda !important;
            background-color: transparent;
        }

.navbar-brand {
    font-family: 'Raleway';
    font-size: 24px !important;
    font-weight: 300 !important;
    line-height: 24px !important;
    color: #00aeda !important;
}

@media screen and (max-width: 480px) {
    .navbar-brand {
        font-size: 16px !important;
        line-height: 16px !important;
    }
}
/*-----------------------------------------------------------------------------------
/* Skills
/*-----------------------------------------------------------------------------------*/

.svg-font {
    font-family: 'Raleway';
    font-size: 18px;
    font-weight: 300;
    fill: #fff;
    text-anchor: middle;
}

@media screen and (max-width: 480px) {
    .svg-font {
        font-size: 10px;
    }
}

#skills .skill {
    position: relative;
    padding: 1em 0;
    overflow: hidden;
}

    #skills .skill:not(:last-child):after {
        content: "";
        display: block;
        z-index: 1;
        position: absolute;
        left: 25%;
        width: 50%;
        height: 1px;
        margin-top: 25px;
        box-shadow: 0 0 25px 1px #000000;
    }

    #skills .skill ul {
        list-style: square inside;
    }

    #skills .skill .skill-list {
        display: inline-block;
        width: calc(80% - 5em);
        text-align: left;
        font-family: 'Open Sans';
        font-size: 16px;
        vertical-align: middle;
    }

@media screen and (max-width: 480px) {
    #skills .skill .skill-list {
        font-size: 12px;
    }
}
#skills .c .hexagon {
    background-color: #00aeda;
}

#skills .sql .hexagon {
    background-color: #777777;
}

#skills .css .hexagon {
    background-color: #d44415;
}

#skills .js .hexagon {
      background-color: #3ff567;
}

#skills .version-control .hexagon {
    background-color: #f844ef;
}

#skills .test .hexagon {
    background-color: #2d2d2d; 
}


#skills .skill .hexagon {
    display: inline-block;
    position: relative;
    width: 20%;
    margin: 2em;
    padding-bottom: 20%;
    vertical-align: middle;
    background-image: url('../img/hexagon.png');
    background-size: 100%;
}

    #skills .skill .hexagon .skill-name {
        position: absolute;
        top: 50%;
        right: 0;
        left: 0;
        width: 100%;
        height: 100%;
        margin-top: -18%;
    }
    #skills .version-control .skill-name{
    top:61% !important;
}
@media screen and (max-width: 480px) {
    #skills .skill .hexagon {
    }

        #skills .skill .hexagon .skill-name {
        }
}

/*-----------------------------------------------------------------------------------
/* Owl Carousel
/*-----------------------------------------------------------------------------------*/

/* ----- Owl Carousel Navigation Settings ----- */

.owl-carousel .owl-controls .owl-next,
.owl-carousel .owl-controls .owl-prev {
    z-index: 1;
    width: auto;
    height: auto;
    padding: 12px 18px;
    border-radius: 0;
    font-size: 18px;
    line-height: 1;
    color: #fff;
    opacity: 0;
    background: none repeat scroll 0 0 rgba(0,0,0,0.5);
    -webkit-transition: all ease-in 0.2s;
    -moz-transition: all ease-in 0.2s;
    -o-transition: all ease-in 0.2s;
    transition: all ease-in 0.2s;
    cursor: pointer;
}

    .owl-carousel .owl-controls .owl-next:hover,
    .owl-carousel .owl-controls .owl-prev:hover {
        background: none repeat scroll 0 0 rgba(0,0,0,0.8);
    }

.owl-carousel .owl-controls .owl-next {
    position: absolute;
    top: 50%;
    right: 0;
    margin-top: -55px;
}

.owl-carousel .owl-controls .owl-prev {
    position: absolute;
    top: 50%;
    left: 23px;
    margin-top: -55px;
}

.owl-carousel:hover .owl-controls .owl-next,
.owl-carousel:hover .owl-controls .owl-prev {
    opacity: 1;
}

/* ----- Owl Custom Navigation ----- */

.owl-slider-wrap {
    display: block;
    position: relative;
}

    .owl-slider-wrap .owl-custom-navigation {
        position: absolute;
        top: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
    }

        .owl-slider-wrap .owl-custom-navigation a {
            z-index: 2;
            width: auto;
            height: auto;
            padding: 12px 18px;
            border-radius: 0;
            text-align: center;
            font-size: 20px;
            line-height: 1;
            color: #f7f7f7;
            -webkit-transition: all ease-in .2s;
            -moz-transition: all ease-in .2s;
            -o-transition: all ease-in .2s;
            transition: all ease-in .2s;
            cursor: pointer;
        }

        .owl-slider-wrap .owl-custom-navigation .prev-slide {
            position: absolute;
            top: 50%;
            left: 20px;
            margin-top: -25px;
        }

        .owl-slider-wrap .owl-custom-navigation .next-slide {
            position: absolute;
            top: 50%;
            right: 20px;
            margin-top: -25px;
        }

/*-----------------------------------------------------------------------------------
/* Work
/*-----------------------------------------------------------------------------------*/

.project-item {
    margin: 15px 15px 10px 15px;
    border-radius: 2px;
    text-align: center;
    background: #fafafa;
    box-shadow: 0 0 2px #ccc;
}

    .project-item:hover {
        -webkit-transition: all ease-in-out .3s;
        -moz-transition: all ease-in-out .3s;
        -ms-transition: all ease-in-out .3s;
        -o-transition: all ease-in-out .3s;
        transition: all ease-in-out .3s;
    }

.project-img {
}

/*--- project title ---*/

.project-details {
    position: relative;
    width: 100%;
    margin: 0 auto;
    padding: 15px 20px;
    border: 1px solid #e3e3e3;
    border-top: none;
    font-family: 'Open Sans',sans-serif !important;
    font-size: 14px;
    font-weight: 200;
    color: #555555;
    background: #fafafa;
}

    .project-details:before {
        content: "";
        display: block;
        z-index: 101;
        position: absolute;
        top: -7px;
        width: 7px;
        height: 7px;
        margin-left: 15px;
        border-right: 7px solid transparent;
        border-bottom: 7px solid #fafafa;
        border-left: 7px solid transparent;
    }

.white.project-details:before {
    border-right: 7px solid transparent;
    border-bottom: 7px solid #222;
    border-left: 7px solid transparent;
}

.project-title {
    font-family: 'Open Sans' !important;
    font-size: 20px;
    font-weight: 700;
    line-height: 40px;
}

.project-details {
}

    .project-details ul {
        padding: 0 0 15px 0;
        list-style: none;
    }

        .project-details ul li {
            padding: 10px 0;
            text-align: left;
            font-family: 'Open Sans';
            font-size: 14px;
            line-height: 24px;
        }

            .project-details ul li strong {
                color: #000;
            }

/*-----------------------------------------------------------------------------------
/* Traits
/*-----------------------------------------------------------------------------------*/

#traits {
    width: 100%;
    height: 800px;
    padding: 30px 0;
    color: #fff;
    background: url(../img/traits-bg-lg.jpg);
    background-attachment: fixed;
    background-size: cover;
}

.traits {
    text-align: center;
    cursor: default;
}

.pattern-overlay-2 {
    margin-top: -30px;
    min-height: 800px;
    background-color: rgba(0,0,0,0.75);
    background-image: url(../img/overlays/01.png);
    background-repeat: repeat;
}

.traits i {
    font-size: 64px;
    line-height: 72px;
    color: #d44415;
}

.traits .trait:hover i {
    color: #ff6a00;
}

.trait-title {
    padding: 30px 0 15px 0;
    font-family: 'Montserrat',sans-serif;
    font-size: 24px;
    font-weight: 700;
    line-height: 32px;
    color: #fff;
}

.trait-content {
    font-family: 'Open Sans',sans-serif;
    font-size: 16px;
    font-style: italic;
    font-weight: 300;
    line-height: 24px;
    color: #999;
}

@media screen and (max-width:1280px) {
    #traits {
        background: url(../img/traits-bg-md.JPG) no-repeat;
        background-size: cover;
    }
}

@media screen and (max-width:993) {
    #traits {
        background: url(../img/traits-bg-sm.JPG);
        background-size: cover;
    }
}

@media screen and (min-width:641px) and (max-width:768px) {
    #traits {
        background: url(../img/traits-bg-xs.JPG);
        background-size: cover;
    }

    .section-title {
        padding: 50px;
    }

    .trait,
    .why-me-feature {
        margin-bottom: 15px;
    }

        .traits i,
        .why-me-feature i {
            font-size: 32px;
            line-height: 36px;
        }

    .trait-title {
        padding: 0 0 15px 0;
        font-size: 16px;
        line-height: 15px 0 7.5px 0;
    }

    .trait-content {
        font-size: 14px;
        line-height: 18px;
    }
}

@media screen and (min-width:480px) and (max-width:640px) {
    #traits {
        height: 1200px;
        background: url(../img/traits-bg-xs.JPG);
        background-size: cover;
    }

    .pattern-overlay-2 {
        height: 1200px;
    }

    .trait,
    .why-me-feature {
        margin-bottom: 15px;
    }

        .traits i,
        .why-me-feature i {
            font-size: 32px;
            line-height: 36px;
        }

    .trait-title {
        padding: 0 0 15px 0;
        font-size: 16px;
        line-height: 15px 0 7.5px 0;
    }

    .trait-content {
        font-size: 14px;
        line-height: 18px;
    }
}

@media screen and (max-width:480px) {
    #traits {
        height: 1200px;
        background: url(../img/traits-bg-480.JPG) no-repeat;
        background-size: cover;
    }

    .pattern-overlay-2 {
        height: 1200px;
    }
}

@media screen and (min-width:320px) and (max-width:480px) {
    #traits {
        height: 1250px;
        background: url(../img/traits-bg-480.JPG) no-repeat;
        background-size: cover;
    }

    .pattern-overlay-2 {
        height: 1250px;
    }

    .trait,
    .why-me-feature {
        margin-bottom: 15px;
    }

        .traits i,
        .why-me-feature i {
            font-size: 32px;
            line-height: 36px;
        }

    .trait-title {
        padding: 0 0 15px 0;
        font-size: 16px;
        line-height: 15px 0 7.5px 0;
    }

    .trait-content {
        font-size: 14px;
        line-height: 18px;
    }
}
/*-----------------------------------------------------------------------------------
/* Why Me
/*-----------------------------------------------------------------------------------*/

#whyMe {
    min-height: 500px;
    text-align: center;
    background: url(../img/whyme-bg.jpg) repeat;
}

.why-me-feature {
    padding: 0 30px;
}

    .why-me-feature .trait-content {
        color: #f9f9f9;
    }

    .why-me-feature i {
        font-size: 64px;
        line-height: 72px;
        color: #fff;
    }

@media only screen and (max-width:768px) {
    .why-me-feature {
        padding: 0 15px;
    }
}

/*-----------------------------------------------------------------------------------
/* Contact
/*-----------------------------------------------------------------------------------*/

#contactMe {
    font-family: 'Open Sans';
    color: #fff;
    background: #222;
}

    #contactMe #contact-details {
        font-size: 16px;
    }

.download-cv {
    font-weight: 700;
    color: #00aeda;
}

    .download-cv:hover {
        color: #00bded;
    }

#contactMe ul {
    list-style: none;
}

    #contactMe ul li {
        padding: 15px 0;
    }

#contactMe input,
#contactMe textarea {
    width: 100%;
    padding: 5px;
    border: 1px solid #777;
    background: transparent;
}

    #contactMe input:focus,
    #contactMe textarea:focus {
        background-color: #111;
    }

.btn-send {
    border: 1px solid #777;
    color: #fff;
    background: transparent;
    transition: all ease-in 250ms;
}

    .btn-send:hover {
        color: #00aeda;
        background: #111;
    }

/*-----------------------------------------------------------------------------------
/* Go Top
/*-----------------------------------------------------------------------------------*/

#go-back-top {
    z-index: 10001;
    position: fixed;
    right: 50px;
    bottom: 50px;
    width: 40px;
    height: 40px;
}

    #go-back-top a {
        display: block;
        width: 100%;
        height: 100%;
        text-align: center;
        text-decoration: none;
        font-size: 24px;
        line-height: 40px;
        color: #fff;
        opacity: 0.6;
        background-color: #000;
        -webkit-transition: all 0.3s ease 0s;
        -moz-transition: all 0.3s ease 0s;
        -o-transition: all 0.3s ease 0s;
        transition: all 0.3s ease 0s;
    }

        #go-back-top a:hover {
            opacity: 1;
        }



/*portfolio*/
/*-----------------------------------------------------------------------------------
/*  Portfolio
/*-----------------------------------------------------------------------------------*/



.portfolio-wrap {
    min-height: 350px;
}

#portfolio-filter {
margin-top: 0px;
margin-bottom: 40px;
text-align: center;
display: block;
float: none;
position: relative;
}

    #portfolio-filter button {
padding: 8px 15px;
margin:0 5px;
text-transform: uppercase;
background-color: #eeeeee;
border-radius: 3px;
font-size: 12px;
font-weight:500;
transition: all 0.3s ease 0s;
-moz-transition: all 0.3s ease 0s;
-webkit-transition: all 0.3s ease 0s;
-o-transition: all 0.3s ease 0s;
border:none;
    }


    

        #portfolio-filter button:hover, .portfolio-active {
            -webkit-transition: background-color 0.2s ease, opacity 0.1s ease-in;
            -moz-transition: background-color 0.2s ease, opacity 0.1s ease-in;
            -ms-transition: background-color 0.2s ease, opacity 0.1s ease-in;
            -o-transition: background-color 0.2s ease, opacity 0.1s ease-in;
            transition: background-color 0.2s ease, opacity 0.1s ease-in;
        }


.grid-filter button:hover, .portfolio-active {
    border: 1px solid #00AEDA !important;
    background-color: #00AEDA !important;
    color: #fff !important;
}
/* ----- Portfolio Style ----- */
.portfolio-grid {
    text-align: center;
}

    .portfolio-grid .portfolio-item {
        position: relative;
        float: left;
        width: 31%;
        height: auto;
        margin: 1%;
        
    }
@media only screen and (max-width: 993px)  {
    .portfolio-grid .portfolio-item {
        width: 48%;
        margin: 1%;
    }
}
@media only screen and (max-width: 640px)  {
    .portfolio-grid .portfolio-item {
        width: 98%;
        margin: 1%;
    }
}
        .portfolio-grid .portfolio-item > * {
            margin: 0;
            padding: 0;
        }

        /*portfolio modal*/
.portfolio-item .modal{
    height: 400px;
    top: calc(50% - 200px) !important;
}
.portfolio-item .modal-header a{
    font-size:24px;
    font-weight:100;
    margin-left:20px;
}
.portfolio-item .modal-body h3{
    font-size:22px;

}